com.tibbo.aggregate.common.filter

## Class FunctionOperation

- java.lang.Object
- - com.tibbo.aggregate.common.filter.Operation
  - - com.tibbo.aggregate.common.filter.FunctionOperation

- All Implemented Interfaces:
    Expression
  Direct Known Subclasses:
    ColumnFunctionOperation, ContainsExFunctionOperation, WrappingFunction

      public abstract class FunctionOperation
      extends Operation

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FunctionOperation.FilterFunctions`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Expression[]` | `operands`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionOperation(java.lang.String name, Expression... operands)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Expression[]` | `getChildren()`
    `java.lang.String` | `getDescription()`
    `int` | `getOperandCount()`
    `int` | `getPriority()`

    - ### Methods inherited from class com.tibbo.aggregate.common.filter.Operation

      `getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.tibbo.aggregate.common.filter.Expression

      `evaluate`

- - ### Field Detail

    - #### operands

          protected final Expression[] operands

  - ### Constructor Detail

    - #### FunctionOperation

          public FunctionOperation(java.lang.String name,
                                   Expression... operands)

  - ### Method Detail

    - #### getOperandCount

          public int getOperandCount()

      Specified by:
        `getOperandCount` in class `Operation`

    - #### getChildren

          public final Expression[] getChildren()

    - #### getPriority

          public int getPriority()

    - #### getDescription

          public java.lang.String getDescription()